$(document).ready(function() {
    let table = $("#table_historial").DataTable({
        "deferRender": true,   
        "paging": false,       
        "lengthChange": false, 
        "searching": true,     
        "processing": true,    
        "scrollY": false,    
        "scrollCollapse": true,
        "dom": 'Bfrtip', // Habilita los botones arriba de la tabla
        "buttons": [
            {
                extend: 'excelHtml5',
                text: '<i class="fas fa-file-excel info"></i>', // Icono de Excel
                className: 'btn-excel'
            },
            /*{
                extend: 'pdfHtml5',
                text: '<i class="fas fa-file-pdf"></i>', // Icono de PDF
                className: 'btn-pdf'
            },*/
            {
                extend: 'print',
                text: '<i class="fas fa-print"></i>', // Icono de Imprimir
                className: 'btn-print'
            }
        ],
        "ajax": {
            "url": "funcion_historial.php",
            "type": "POST"
        },
        "columns": [
            { "data": "codigo" },
            { "data": "loteria" },
            { "data": "numero" },
            { "data": "fechar" },
            { "data": "fechaj" },
            { "data": "valor" },
            { "data": "negocio" },
            { "data": "usuario" },
            { "data": "porcentaje" },
            { "data": "pagar" },
            { "data": "accion" }
        ],
        "language": {
            "processing": "Procesando...",
            "zeroRecords": "No se encontraron resultados",
            "emptyTable": "Ningún dato disponible en esta tabla",
            "info": "Mostrando _START_ a _END_ de _TOTAL_ registros",
            "infoEmpty": "Mostrando 0 de 0 registros",
            "infoFiltered": "(filtrado de _MAX_ registros)",
            "loadingRecords": "Por favor espere - cargando...",
            "search": "Buscar:",  
            "paginate": {
                "first": "Primero",
                "last": "Último",
                "next": "Siguiente",
                "previous": "Anterior"
            }
        }
    });

    // Ajustar tamaño de la caja de búsqueda
    $(".dataTables_filter input").css({
        "width": "250px",
        "display": "inline-block",
        "padding": "6px",
        "font-size": "14px"
    });

    // Redibujar la tabla cuando se actualizan los datos
    setInterval(function() {
        table.ajax.reload(null, false);
    }, 30000);
});
