<?php
include("conex.php");
session_start();

	if (!isset($_SESSION['idusuario'])) {
		echo json_encode(["error" => "Error: Sesión no iniciada."]);
		exit();
	}

	$id_usuario = $_SESSION['idusuario'];
	
// Obtener los datos enviados desde la solicitud AJAX
$fecha = mysqli_real_escape_string($conn, $_POST["fecha"]);
$loterias = mysqli_real_escape_string($conn, $_POST["loterias"]);
$key = mysqli_real_escape_string($conn, $_POST["key"]);

// Consulta SQL utilizando los valores dinámicos recibidos
$consulta = "SELECT
            t.idrifa,
            s.numero_g AS numero_ganador, 
            s.suerte_g,       
            t.codigo,  
            l.loteria, 
            t.numero,  
            t.valor, 
            ts.id_suerte, 
            ts.premio,
            su.suerte,
            t.estado,
            t.fecha
        FROM tbr_sorteo AS s
        INNER JOIN tbr_ticket AS t ON t.numero = s.numero_g AND t.fecha = s.fecha_g
        INNER JOIN tbr_loteria AS l ON l.idloteria = t.id_loteria
        INNER JOIN tbr_ticket_suerte AS ts ON ts.id_ticket = t.idrifa
        INNER JOIN tbr_suerte AS su ON su.idsuerte = s.suerte_g
        WHERE t.condicion = 1 
        AND t.estado >= 2 
        AND s.fecha_g = '$fecha' 
		AND t.id_usuario = '$id_usuario'
        AND ts.id_suerte = s.suerte_g
        AND t.`key` = '$key';";

$query = mysqli_query($conn, $consulta);

// Verificar si se obtuvo un resultado
if ($p = mysqli_fetch_array($query)) {
    // Responder con los datos en formato JSON
    $respuesta = [
        'idrifa' => $p['idrifa'],
        'numero_ganador' => $p['numero_ganador'],
        'suerte_g' => $p['suerte_g'],
        'codigo' => $p['codigo'],
        'loteria' => $p['loteria'],
        'numero' => $p['numero'],
        'valor' => $p['valor'],
        'id_suerte' => $p['id_suerte'],
        'premio' => $p['premio'],
        'suerte' => $p['suerte'],
        'estado' => $p['estado'],
        'fecha' => $p['fecha']
    ];
} else {
    // En caso de no encontrar resultados, devolver un mensaje adecuado
    $respuesta = ['error' => 'Esta vez tu ticket no tiene premio.'];
}

// Devolver la respuesta como JSON
echo json_encode($respuesta);
?>
