<?php
if (isset($_GET['Accion'])) {
    $accion = $_GET['Accion'];

    // Ejecutar la función correspondiente
    if ($accion === "GetLoterias") {
        GetLoterias();
    } elseif ($accion === "GetLoteriasP") {
        GetLoteriasP();
    } else {
        echo "Acción no válida.";
    }
}

// Función para obtener loterías activas según la fecha seleccionada
function GetLoterias() {
    include("conex.php");

    if (!isset($conn) || !$conn) {
        die("Error de conexión: " . mysqli_connect_error());
    }

    // Validar la fecha antes de usarla
    if (isset($_POST['fecha'])) { // Coincidir con el nombre en AJAX
        $fecha = $_POST['fecha']; // Asegurar que sea una cadena en formato YYYY-MM-DD
		date_default_timezone_set('America/Guayaquil');
		//$fecha_actual = date('Y-m-d'); // Cambio de formato correcto
		//$time_actual = date("H:i");
		$time_actual = (int) str_replace(":", "", date("H:i"));
        // Consulta con consulta preparada para evitar inyección SQL
        $sql = "SELECT idloteria, loteria FROM tbr_loteria 
                WHERE condicion = 1 
				AND activar = 1 
				AND fecha = ?
				AND hora_inicio <= $time_actual
				AND hora_fin >= $time_actual";

        if ($stmt = mysqli_prepare($conn, $sql)) {
            mysqli_stmt_bind_param($stmt, "s", $fecha);
            mysqli_stmt_execute($stmt);
            $result = mysqli_stmt_get_result($stmt);

            //$var = "<option value=''>Seleccione una lotería</option>"; // Mejor UX
            while ($fila = mysqli_fetch_assoc($result)) {
                $var .= "<option value='" . htmlspecialchars($fila["idloteria"]) . "'>" 
                            . htmlspecialchars($fila["loteria"]) . "</option>";
            }

            echo $var;
            mysqli_stmt_close($stmt);
        } else {
            die("Error en la consulta: " . mysqli_error($conn));
        }
    } else {
        echo "Fecha inválida.";
    }

    mysqli_close($conn);
}

// Función para obtener loterías según la fecha seleccionada
function GetLoteriasP() {
    include("conex.php");

    if (!isset($conn) || !$conn) {
        die("Error de conexión: " . mysqli_connect_error());
    }

    // Validar la fecha antes de usarla
    if (isset($_GET['fechap'])) {
        $fecha = $_GET['fechap']; // Asegurar que sea una cadena en formato YYYY-MM-DD

        // Usar una consulta preparada para evitar inyección SQL
        $sql = "SELECT idloteria, loteria FROM tbr_loteria WHERE condicion = 1 AND fecha = ?";

        if ($stmt = mysqli_prepare($conn, $sql)) {
            mysqli_stmt_bind_param($stmt, "s", $fecha);
            mysqli_stmt_execute($stmt);
            $result = mysqli_stmt_get_result($stmt);

            //$varc = "<option value=''>Seleccione una lotería</option>"; // Inicializar variable
            while ($fila = mysqli_fetch_assoc($result)) {
                $varc .= "<option value='" . htmlspecialchars($fila["idloteria"]) . "'>" 
                            . htmlspecialchars($fila["loteria"]) . "</option>";
            }

            echo $varc;
            mysqli_stmt_close($stmt);
        } else {
            die("Error en la consulta: " . mysqli_error($conn));
        }
    } else {
        echo "Fecha inválida.";
    }

    mysqli_close($conn);
}
?>
