<?php
session_start();
$idusuario = isset($_SESSION['idusuario']) ? intval($_SESSION['idusuario']) : 0;

include("conex.php");

// Inicializar variables
$total = 0;
$datos = [];

// Consulta SQL con seguridad mejorada
$query = "SELECT
            t.idrifa,
            t.codigo,
            l.loteria,
            t.numero,
            t.fecha as fechar, 
            l.fecha as fechaj, 
            t.valor,			
            ts.premio,
            su.suerte,
            sc.sucursal,
            u.usuario
        FROM tbr_sorteo AS s
        INNER JOIN tbr_ticket AS t ON t.numero = s.numero_g AND t.fecha = s.fecha_g
        INNER JOIN tbr_loteria AS l ON l.idloteria = t.id_loteria
        INNER JOIN tbr_ticket_suerte AS ts ON ts.id_ticket = t.idrifa
        INNER JOIN tbr_suerte AS su ON su.idsuerte = s.suerte_g
        INNER JOIN tbr_usuario AS u ON u.idusuario = t.id_usuario
        INNER JOIN tbr_sucursal AS sc ON sc.idsucursal = u.id_sucursal
        WHERE t.condicion = 1 
        AND t.estado = 2 			
        AND ts.id_suerte = s.suerte_g
        AND t.id_usuario = ?
        AND DATE(t.fecha) BETWEEN CURDATE() - INTERVAL 15 DAY AND CURDATE() - INTERVAL 8 DAY";

// Preparar la consulta
$stmt = mysqli_prepare($conn, $query);
mysqli_stmt_bind_param($stmt, "i", $idusuario);
mysqli_stmt_execute($stmt);
$result = mysqli_stmt_get_result($stmt);

// Procesar resultados
while ($row = mysqli_fetch_assoc($result)) {
    // Formateo de valores
    $numero_formateado = str_pad($row['numero'], 3, '0', STR_PAD_LEFT);
    $valor_formateado = number_format($row['valor'], 2, '.', ',');
    $premio_formateado = number_format($row['premio'], 2, '.', ',');

    // Sumar al total correctamente
    $total += $row['valor'];

    // Agregar datos al array
    $datos[] = [
        "codigo"    => $row['codigo'],
        "loteria"   => $row['loteria'],
        "numero"    => $numero_formateado,
        "fechar"    => $row['fechar'],
        "fechaj"    => $row['fechaj'],
        "valor"     => $valor_formateado,
        "negocio"   => $row['sucursal'],
        "usuario"   => $row['usuario'],
        "porcentaje"=> "0.00",
        "pagar"     => $premio_formateado
    ];
}

// Enviar JSON correctamente
echo json_encode(["data" => $datos], JSON_UNESCAPED_UNICODE);
?>
