<?php
session_start();
$id_usuario = $_SESSION['idusuario'];

$idusuario = htmlspecialchars($_SESSION['idusuario']);
$usuario = htmlspecialchars($_SESSION['usuario']);
$sucursal = htmlspecialchars($_SESSION['sucursal']);

include("conex.php");

// Inicializar la variable $total
$total = 0;

// Realizando la consulta con mysqli
$consulta = mysqli_query($conn, "SELECT
				t.idrifa,
				t.codigo,
				l.loteria,
				t.numero,
				t.fecha as fechar, 
				l.fecha as fechaj, 
				t.valor,			
				ts.premio,
				su.suerte,
				sc.sucursal,
				u.usuario								
			FROM tbr_sorteo AS s
			INNER JOIN tbr_ticket AS t ON t.numero = s.numero_g AND t.fecha = s.fecha_g
			INNER JOIN tbr_loteria AS l ON l.idloteria = t.id_loteria
			INNER JOIN tbr_ticket_suerte AS ts ON ts.id_ticket = t.idrifa
			INNER JOIN tbr_suerte AS su ON su.idsuerte = s.suerte_g
			INNER JOIN tbr_usuario AS u ON u.idusuario = t.id_usuario
			INNER JOIN tbr_sucursal AS sc ON sc.idsucursal = u.id_sucursal
			WHERE t.condicion = 1 
			AND t.estado = 3 			
			AND ts.id_suerte = s.suerte_g
			AND t.fecha BETWEEN CURDATE() - INTERVAL 8 DAY AND CURDATE();
	");
	$tabla = "";

while ($row = mysqli_fetch_array($consulta)) {
    // Asegurarse de que el valor es numérico
	// Convertir el valor a un formato adecuado (2 decimales con separador de miles)
	$valor = $row['valor'];
    $valor_formateado = number_format($valor, 2, '.', ',');
	
	$premio = $row['premio'];
    $premio_formateado = number_format($premio, 2, '.', ',');
	
	$numero = $row['numero'];
	$numero_formateado = str_pad($row['numero'], 3, '0', STR_PAD_LEFT);


    // Sumar al total
    $total += $valor_formateado;
    
    // Eliminar acción (modificar si es necesario)
    		
	$eliminar = '<a href=\"actionDelete_fila.php?idrifa='.$row['idrifa'].'\" data-toggle=\"tooltip\" data-placement=\"top\" title=\"Eliminar\" class=\"btn btn-danger\"><i class=\"fa fa-trash\" aria-hidden=\"true\"></i></a>';
		
    // Construir la fila de la tabla en formato JSON
    $tabla .= '{
        "codigo": "' . utf8_encode($row['codigo']) . '",
        "loteria": "' . utf8_encode($row['loteria']) . '",
        "numero": "' . $numero_formateado . '",
        "fechar": "' . utf8_encode($row['fechar']) . '",
        "fechaj": "' . utf8_encode($row['fechaj']) . '",
        "valor": "' . $valor_formateado . '",        
		"negocio": "' . utf8_encode($row['sucursal']) . '",
		"usuario": "' . utf8_encode($row['usuario']) . '",
		"porcentaje": "' . utf8_encode('0.00') . '",
        "pagar": "' . $premio_formateado . '"
       
    },';
}

// Eliminar la coma extra al final
$tabla = substr($tabla, 0, strlen($tabla) - 1);

// Enviar la respuesta en formato JSON
echo '{"data":[' . $tabla . ']}';
?>

