<?php
session_start();
include("conex.php");
// Verifica si las variables de sesión están definidas
if (!isset($_SESSION['idusuario'], $_SESSION['usuario'], $_SESSION['sucursal'])) {
    header('Location: index.php'); // Redirige al login si no hay sesión activa
    exit();
}

$idusuario = htmlspecialchars($_SESSION['idusuario']);
$usuario = htmlspecialchars($_SESSION['usuario']);
$sucursal_id = $_SESSION['sucursal'] ?? null;

	if (!is_numeric($sucursal_id)) {
		die("ID de sucursal inválido");
	}

	// Verifica que la conexión esté establecida
	if (!isset($conn) || $conn === null) {
		die("Error: No se pudo establecer la conexión a la base de datos.");
	}

	// Consulta preparada
	$query = "SELECT sucursal FROM tbr_sucursal WHERE idsucursal = ?";
	$stmt = mysqli_prepare($conn, $query);

	if ($stmt) {
		mysqli_stmt_bind_param($stmt, "i", $sucursal_id);
		mysqli_stmt_execute($stmt);
		$result = mysqli_stmt_get_result($stmt);
		
		if ($row = mysqli_fetch_assoc($result)) {
			$sucursal = $row['sucursal'];
		} else {
			die("Sucursal no encontrada.");
		}
		
		mysqli_stmt_close($stmt);
	} else {
		die("Error en la preparación de la consulta.");
	}

?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Panel de administración para gestionar usuarios y configuraciones.">
    <meta name="keywords" content="panel, administración, usuarios, reportes, gestión">
    <title>Sistema de Gestión</title>
    <link rel="shortcut icon" href="../resources/img/crud.ico">
    <!-- Carga de bibliotecas necesarias -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css" rel="stylesheet">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/dayjs/1.11.7/dayjs.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/dayjs/1.11.7/locale/es.min.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-select@1.14.0-beta2/dist/css/bootstrap-select.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-lite.min.css">
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <link href="https://cdn.jsdelivr.net/npm/sweetalert2@11/dist/sweetalert2.min.css" rel="stylesheet">

   <style>
		 /* Aplicar un tamaño de fuente y altura mínima global para el formulario */
		.form-control, .selectpicker, .btn {
			font-size: 2em;
			min-height: 2em;
		}
        body {
            background-color: #f4f6f9;
        }
        .navbar {
            margin-bottom: 20px;
        }
        .content {
            padding: 1rem;
        }
        .sidebar {
			width: 250px;
			background: #343a40;
			padding: 20px;
			height: 100vh;
			position: fixed;
			left: 0;
			top: 0;
			display: flex;
			flex-direction: column;
			align-items: center;
		}

		.sidebar h4 {
			font-size: 1.2rem;
		}

		.sidebar a {
			color: white;
			text-decoration: none;
			padding: 15px;
			width: 100%;
			display: flex;
			flex-direction: column;
			align-items: center;
			transition: background 0.3s, transform 0.2s;
		}

		.sidebar a i {
			margin-bottom: 8px;
		}

		.sidebar a:hover {
			background: rgba(255, 255, 255, 0.1);
			transform: scale(1.05);
			border-radius: 8px;
		}

		.sidebar .active {
			font-weight: bold;
			color: #17a2b8;
		}
        .sidebar.show {
            transform: translateX(0);
        }
        .sidebar a {
            color: white;
            padding: 10px 15px;
            text-decoration: none;
            display: block;
        }
        /*.sidebar a.active {
            background-color: #17a2b8;
            font-weight: bold;
        }*/
        .sidebar a:hover {
            background-color: #495057;
        }
        .main-content {
            margin-left: 0;
            transition: margin-left 0.3s;
        }
        @media (min-width: 769px) {
            .sidebar {
                transform: translateX(0);
            }
            .main-content {
                margin-left: 150px;
            }
        }
        .loader {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background: rgba(0, 0, 0, 0.5);
            display: flex;
            align-items: center;
            justify-content: center;
            color: #fff;
            font-size: 20px;
            font-weight: bold;
            z-index: 2000;
        }
        .loader::before {
            content: '';
            width: 40px;
            height: 40px;
            border: 5px solid #fff;
            border-radius: 50%;
            border-top-color: transparent;
            animation: spin 1s linear infinite;
        }
        @keyframes spin {
            to {
                transform: rotate(360deg);
            }
        }
		.selectpicker {
			font-size: 1.25em; /* Ajusta el tamaño de la fuente */
			
			heigh
		height: 2.5em; /* Ajusta la altura */
			padding: 0.375rem 0.75rem; /* Asegura que el padding sea el mismo que otros campos */
		}
		/* Aumentar tamaño de texto en todos los campos */
		.form-control, .selectpicker, .btn {
			font-size: 3em;  /* Aumenta el tamaño de la fuente */
			min-height: 3em; /* Ajusta la altura si es necesario */
		}

		/* Aumentar tamaño de texto en el selector de loterías */
		.selectpicker {
			font-size: 1.5em;  /* Aumenta el tamaño de la fuente solo en el select */
			height: 1.5em; /* Ajusta la altura */
			padding: 0.375rem 0.75rem; /* Asegura que el padding sea consistente */
		}
		/* Aumentar tamaño de texto en los campos de entrada */
		.form-control, .selectpicker, .btn {
			font-size: 1.5em;  /* Aumenta el tamaño de la fuente */
			min-height: 2.5em; /* Ajusta la altura */
		}

		/* Aumentar tamaño de texto en los campos input específicos */
		input.form-control {
			font-size: 1.5em;  /* Aumenta el tamaño del texto en los inputs */
			height: 3em;       /* Ajusta la altura para que coincida con el tamaño de la fuente */
		}
		/* Aumentar el tamaño del calendario */
		input[type="date"]::-webkit-calendar-picker-indicator {
			width: 60px;  /* Ajusta el ancho */
			height: 60px; /* Ajusta la altura */
			font-size: 4em; /* Cambia el tamaño de la fuente */
		}
		/* Cambiar el tamaño de los números en el calendario */
		.ui-datepicker-calendar td a {
			font-size: 30px;  /* Ajusta el tamaño de los números */
			padding: 10px;    /* Ajusta el espacio alrededor de los números */
		}

		.ui-datepicker {
			font-size: 18px;  /* Ajusta el tamaño de la fuente en el calendario */
		}

		.ui-datepicker-header {
			font-size: 22px;  /* Ajusta el tamaño de la cabecera (mes, año) */
		}
		
		
    </style>
</head>
<body>

     <!-- Sidebar (Menú lateral) -->
    <!-- Sidebar (Menú lateral) -->
	<nav class="sidebar" id="sidebar style=" style="width: 150px;">		
		<ul class="nav flex-column text-center">
			<li class="nav-item">
				<a href="dashboard.php" aria-label="Ir al Dashboard">
					<i class="fa fa-tachometer-alt" aria-hidden="true"></i> Dashboard
				</a>
			</li>
			<li class="nav-item">
				<a href="#" class="nav-link active">
					<i class="fas fa-file-invoice-dollar fa-2x" aria-hidden="true"></i>
					<div class="text-uppercase" style="font-size: 12px;">Ventas</div>
				</a>
			</li>
			<li class="nav-item">
				<a href="historial.php" class="nav-link">
					<i class="fa fa-history fa-2x" aria-hidden="true"></i>
					<div class="text-uppercase" style="font-size: 12px;">Historial</div>
				</a>
			</li>
			<li class="nav-item">
				<a href="javascript:void(0)" class="nav-link" onclick="cerrar();" aria-label="Cerrar sesión">
					<i class="fas fa-sign-out-alt fa-2x" aria-hidden="true"></i>
					<div class="text-uppercase" style="font-size: 12px;">Cerrar Sesión</div>
				</a>
			</li>
		</ul>
	</nav>
    
    <!-- Contenido Principal -->
    <div class="main-content" id="mainContent">
        <nav class="navbar navbar-expand-lg navbar-light bg-light">
            <div class="container-fluid">
                <button class="navbar-toggler" type="button" aria-label="Toggle navigation" onclick="toggleSidebar()">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <a class="navbar-brand" href="#"><i class="fas fa-tachometer-alt"></i> Panel de pagos</a>
                <div class="collapse navbar-collapse">
                    <ul class="navbar-nav ms-auto">
                        <li class="nav-item">
                            <a class="nav-link active" href="#"><i class="fa fa-store"></i> <?php echo " ".$sucursal; ?></a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link active" href="#"><i class="fa fa-user-secret"></i> <?php echo " ".$usuario; ?></a>                        
                        </li>
                        <li class="nav-item">
                            <a class="nav-link"><i class="fa fa-calendar-check"></i> <span id="fechaActual"></span></a>
                        </li>
                        <li class="nav-item d-none d-md-block">
                            <a class="nav-link"><em class="fas fa-clock text-mac"></em>&nbsp;<span id="horaActual"></span></a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
        
        <ul class="nav">            
            <li class="nav-item">
                <h5><a class="nav-link" href="ventas.php">Nueva Venta</a></h5>
            </li>
            <li class="nav-item">
                <h5><a class="nav-link active" href="pago.php">Aplicar Pago</a></h5>
            </li>            
        </ul>

        <div class="content">
            <div class="content-heading">                
                <div class="col-sm-10 col-md-10 col-lg-10 float-left">
                    <h3><a>Aplicar Pago <i class="fas fa-file-invoice-dollar fa-1x text-primary"></i></a></h3>
                </div>
            </div>

            <div class="content-wrapper">
                <div class="row">
                    <div class="col-12 col-sm-12 col-md-5 col-lg-4">
                        <div class="card card-default border-primary mb-3">
                            <div class="card-body">
                                <div class="form-group">
                                    <div class="input-group with-focus">
                                        <span class="input-group-text text-muted bg-transparent border-left-0">
                                            <em class="fas fa-calendar-week fa-3x"></em>
                                        </span>
                                        <input name="fecha" id="fecha" type="date" class="form-control" required>
                                    </div>
                                </div>
								<br>
                                <div class="form-group">
                                    <div class="input-group with-focus">
                                        <span class="input-group-text text-muted bg-transparent border-left-0">
                                            <em class="fas fa-play fa-3x"></em>
                                        </span>
                                        <select name="loterias" id="loterias" class="form-control" placeholder="Selecciona la Loteria..." required>
                                        </select>
                                    </div>
                                </div>
								<br>
                                <div class="form-group">
                                    <div class="input-group with-focus">
                                        <span class="input-group-text text-muted bg-transparent border-left-0">
                                            <em class="fas fa-key fa-3x"></em>
                                        </span>
                                        <input class="form-control" name="key" id="key" type="text" placeholder="Key" required>
                                    </div>
                                </div>
								<br>
                                <div class="form-group">
									<div class="input-group with-focus">
										<button class="btn btn-info btn-lg w-100" onclick="buscar()" name="buscar" id="buscar" required>
											<i class="fa fa-search"></i> Buscar
										</button>
									</div>
								</div>

                            </div>
                        </div>
                    </div>
					
                    <div class="col-12 col-sm-12 col-md-7 col-lg-8 table-responsive">
                        <table id="resultadosTabla" class="table table-striped table-bordered table-hover">
                            <thead class="thead-dark">
                                <tr>
                                    <th>Código</th>
                                    <th>Loteria</th>
                                    <th>Tope</th>
                                    <th>Número</th>
                                    <th>Apostado</th>
                                    <th>A pagar</th>
                                    <th>Pagar</th>
                                </tr>
                            </thead>
                            <tbody>
								<!-- Los datos se llenarán aquí -->
							</tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Cargar scripts al final -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap-select@1.14.0-beta2/dist/js/bootstrap-select.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap-select@1.14.0-beta2/dist/js/i18n/defaults-es_ES.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-lite.min.js"></script>
    <script>
        function cerrar() {
            Swal.fire({
                title: '¿Estás seguro?',
                text: '¿Deseas cerrar sesión?',
                icon: 'warning',
                showCancelButton: true,
                confirmButtonText: 'Sí, cerrar sesión',
                cancelButtonText: 'Cancelar',
                customClass: {
                    confirmButton: 'swal2-confirm',
                    cancelButton: 'swal2-cancel',
                }
            }).then((result) => {
                if (result.isConfirmed) {
                    const loader = document.createElement('div');
                    loader.className = 'loader';
                    loader.textContent = 'Cerrando sesión...';
                    document.body.appendChild(loader);

                    fetch('../../controllers/usuario.php', {
                        method: 'POST',
                        headers: { 'Content-Type': 'application/x-www-form-urlencoded' },
                        body: new URLSearchParams({ boton: 'cerrar' }),
                    })
                    .then((response) => {
                        if (!response.ok) throw new Error('Error en la solicitud');
                        return response.text();
                    })
                    .then(() => location.href = '../index.php')
                    .catch((error) => Swal.fire('Error', error.message, 'error'))
                    .finally(() => loader.remove());
                }
            });
        }

        function toggleSidebar() {
            document.getElementById('sidebar').classList.toggle('show');
        }

        $(document).ready(function () {
            dayjs.locale('es');
            $('#fechaActual').text(dayjs().format('dddd, DD MMMM YYYY'));
            setInterval(function () {
                $('#horaActual').text(dayjs().format('h:mm A'));
            }, 60000); // Actualización de hora cada minuto
        });
    </script>
	<script>
		document.getElementById("fecha").addEventListener("change", function() {
			// Obtener la fecha seleccionada
			let fechaSeleccionada = this.value; 

			// Obtener el elemento select para las loterías
			let selectLoterias = document.getElementById("loterias");

			// Limpiar las opciones previas del select y mostrar un mensaje de "Cargando..."
			selectLoterias.innerHTML = '<option value="">Cargando...</option>';
			//alert (fechaSeleccionada);
			// Realizar la petición AJAX
			$.ajax({
				type: "POST",
				url: "datos.php?Accion=GetLoteriasP&fechap=" + fechaSeleccionada, // Pasar la fecha seleccionada como parámetro
				
				success: function(response) {
					//alert (response);
					// Actualizar el contenido del select con la respuesta del servidor
					$('#loterias').html(response).fadeIn();
				},
				error: function() {
					// En caso de error, mostrar un mensaje de error en el select
					$('#loterias').html('<option value="">Error al cargar datos</option>');
				}
			}); 

		});
	</script>
	<script>
    // Función de búsqueda
    function buscar() {
        var fecha = $('#fecha').val();
        var loterias = $('#loterias').val();
        var key = $('#key').val();

        if (fecha !== "" && loterias !== "" && key !== "") {
            var parameter = {
                "fecha": fecha,
                "loterias": loterias,
                "key": key,
            };

            $.ajax({
                data: parameter,
                url: "buscar_ticket.php",
                type: "POST",
                success: function(respuesta) {
                    // Convertir la respuesta a un objeto JavaScript
                    var data = JSON.parse(respuesta);

                    // Verificar si la respuesta contiene un error
                    if (data.error) {
                        Swal.fire('¡hoy no has ganado!', data.error, 'info');  // Mostrar el mensaje "No tiene premio"
                        return;
                    }

                    // Procesar la respuesta de manera normal si no hay error
                    var estado = data.estado;  // Asegúrate de que `estado` es la propiedad correcta
                    var fechat = new Date(data.fecha); // Convertir a objeto Date

                    let fechaActual = new Date(); // Fecha actual
                    let haceOchoDias = new Date();
                    haceOchoDias.setDate(fechaActual.getDate() - 8); // Restar 8 días

                    if (estado == 2) {
                        if (fechat >= haceOchoDias) {
                            // Mostrar alerta si es ganador
                            Swal.fire({
                                title: '🎉 Eres una persona afortunada, ¡acabas de ganar un premio!',
                                html: `<b>Número ganador:</b> ${data.numero_ganador || 'N/A'}<br><b>Suerte:</b> ${data.suerte_g || 'N/A'}<br><b>💰 Premio: $</b> ${data.premio || '0.00'}`
                            });

                            // Añadir fila a la tabla
                            var tabla = document.getElementById("resultadosTabla").getElementsByTagName('tbody')[0];
                            var nuevaFila = tabla.insertRow();

                            // Insertar celdas en la fila
                            nuevaFila.insertCell(0).textContent = data.idrifa || 'N/A'; // ID Rifa
                            nuevaFila.insertCell(1).textContent = data.numero_ganador || 'N/A'; // Número Ganador
                            nuevaFila.insertCell(2).textContent = data.suerte_g || 'N/A'; // Suerte G
                            nuevaFila.insertCell(3).textContent = data.codigo || 'N/A'; // Código
                            nuevaFila.insertCell(4).textContent = data.loteria || 'N/A'; // Lotería
                            nuevaFila.insertCell(5).textContent = data.premio || 'N/A'; // Premio

                            // Crear botón de pago
                            var btnPagar = document.createElement("button");
                            btnPagar.className = "btn btn-success"; // Estilo del botón
                            btnPagar.textContent = "Pagar"; // Texto del botón

                            // Evento de clic en el botón
                            btnPagar.addEventListener("click", function() {
                                Swal.fire({
                                    title: 'Confirmar pago',
                                    text: '¿Estás seguro de que deseas realizar el pago?',
                                    icon: 'warning',
                                    showCancelButton: true,
                                    confirmButtonText: 'Sí, pagar',
                                    cancelButtonText: 'Cancelar'
                                }).then((result) => {
                                    if (result.isConfirmed) {
                                        var idrifa = data.idrifa;
                                        // Enviar solicitud AJAX para guardar pago
                                        $.ajax({
                                            url: 'guardar_pago.php',
                                            type: 'POST',
                                            data: { idrifa: idrifa }
                                        }).done(function(respuesta) {
                                            if (respuesta === "") {
                                                Swal.fire('Éxito', 'Pago procesado.', 'success')
                                                    .then(() => location.reload());
                                            } else {
                                                Swal.fire('Error', 'No se pudo procesar el pago.', 'error');
                                            }
                                        });
                                    }
                                });
                            });

                            // Añadir el botón a la tabla
                            nuevaFila.insertCell(6).appendChild(btnPagar);
                        } else {
                            Swal.fire('Error', 'La fecha no está dentro del rango permitido.', 'error');
                        }
                    } else if (estado == 3) {
                        // Si el estado es 3, mostrar que el pago ya fue procesado
                        Swal.fire({
                            title: '🎉 ¡Ganador! 🎉',
                            html: `<b>Número ganador:</b> ${data.numero_ganador || 'N/A'}<br><b>Suerte:</b> ${data.suerte_g || 'N/A'}<br><b>💰 Premio: $</b> ${data.premio || '0.00'}<br><b>PAGADO</b>`
                        });
                    }
                },
                error: function() {
                    Swal.fire('Error', 'Ocurrió un problema al realizar la búsqueda.', 'error');
                }
            });
        } else {
            Swal.fire('Error', 'Hay campos sin llenar o con valores incorrectos.', 'error');
        }
    }
</script>




<script>
    document.addEventListener("DOMContentLoaded", function () {
        let fechaInput = document.getElementById("fecha");
        let hoy = new Date();
        let haceOchoDias = new Date();
        
        haceOchoDias.setDate(hoy.getDate() - 8);

        let formatoFecha = (fecha) => fecha.toISOString().split("T")[0];

        fechaInput.max = formatoFecha(hoy);
        fechaInput.min = formatoFecha(haceOchoDias);
    });
</script>



</body>
</html>
